#! /bin/sh
#
# Copyright 1998 - 2005 Double Precision, Inc.
# See COPYING for distribution information.


prefix=/usr
exec_prefix=/usr
bindir=${exec_prefix}/bin
libexecdir=/usr/libexec

if test ! -f /etc/courier-imap/pop3d
then
	echo "/etc/courier-imap/pop3d does not exist, forgot make install-configure?"
	exit 1
fi

if test ! -f /etc/courier-imap/pop3d-ssl
then
	echo "/etc/courier-imap/pop3d-ssl does not exist, forgot make install-configure?"
	exit 1
fi


. /etc/courier-imap/pop3d
. /etc/courier-imap/pop3d-ssl

case $1 in
start)
	/usr/bin/env -i /bin/sh -c " set -a ;
		prefix=/usr ;
		exec_prefix=/usr ;
		bindir=${exec_prefix}/bin ;
		libexecdir=/usr/libexec ;
		. /etc/courier-imap/pop3d ; \
		. /etc/courier-imap/pop3d-ssl ; \
		PROXY_HOSTNAME=$PROXY_HOSTNAME ; \
		POP3_TLS=1; \
		POP3_STARTTLS=NO; \
		POP3_TLS_REQUIRED=0; \
		/usr/bin/mkdir -p `dirname $SSLPIDFILE` ; \
		/usr/sbin/courierlogger -pid=$SSLPIDFILE -start $SSLLOGGEROPTS \
		/usr/libexec/couriertcpd -address=$SSLADDRESS \
			-maxprocs=$MAXDAEMONS -maxperip=$MAXPERIP \
			$TCPDOPTS \
			$SSLPORT $COURIERTLS -server -tcpd \
				${exec_prefix}/sbin/pop3login \
				${exec_prefix}/bin/pop3d ${MAILDIRPATH}"
	;;
stop)
	/usr/sbin/courierlogger -pid=$SSLPIDFILE -stop
	;;
esac
exit 0
